=== debian/changelog ===
feature-check (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Use my Debian e-mail address in the Maintainer field.

 -- Peter Pentchev <roam@debian.org>  Tue, 15 May 2018 10:57:09 +0300

feature-check (0.1.0-1) unstable; urgency=low

  * Initial release.  Closes: #896892

 -- Peter Pentchev <roam@ringlet.net>  Fri, 04 May 2018 16:42:30 +0300
