=== debian/control ===
Source: feature-check
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 11~),
 libjson-xs-perl,
 libtest-command-perl,
 perl
Standards-Version: 4.1.4
Vcs-Git: https://gitlab.com/ppentchev/feature-check.git -b debian
Vcs-Browser: https://gitlab.com/ppentchev/feature-check/tree/debian
Homepage: https://devel.ringlet.net/misc/feature-check/
Rules-Requires-Root: no

Package: feature-check
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 libjson-xs-perl
Description: tool to query a program for supported features
 The feature-check tool obtains the list of supported features from
 a program via various methods (e.g. running it with the --features
 command-line option) and allows other programs to check for
 the presence and, possibly, versions of specific features.
