=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

override_dh_auto_install:
	dh_auto_install -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_SCRIPT='install -m 755' \
		INSTALL_DATA='install -m 644'
