=== debian/tests/control ===
Test-Command: env TEST_PROG='/usr/bin/feature-check' prove t
Depends: @, libtest-command-perl, perl
