## feature-check 0.2.2

=== Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 			python/2/feature-check.sh python/3/feature-check.sh \
 			; do \
 			if [ "$${f#python}" != "$$f" ]; then \
-				flake8 "$$(dirname "./$$f")/../feature-check.py"; \
+				flake8 "$$(dirname "./$$f")/../feature_check"; \
 			fi; \
 			${MAKE} test-single TEST_PROG="./$$f"; \
 		done)
