=== debian/changelog ===
feature-check (0.2.2-5) unstable; urgency=medium

  * Declare compliance with Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.
  * Test against supported, not installed, Python versions.
  * Configure pybuild and pytest through the environment.
  * Use debian/clean to remove subdirectories.
  * Use a build dependency on dh-sequence-python3.
  * Update the debhelper compat level to 13:
    - drop the conditional around the dh_auto_test target
    - `dh_missing --fail-missing` is now the default
    - use execute_after targets

 -- Peter Pentchev <roam@debian.org>  Sun, 10 May 2020 01:40:56 +0300

feature-check (0.2.2-4) unstable; urgency=medium

  * Mark the adequate autopkgtest as superficial.
  * Declare compliance with Policy 4.4.0 with no changes.
  * Fix the tap-python test (both build-time and autopkgtest) to
    actually test with the various Python interpreters, not just pypy.
  * Also skip the tests in the "nocheck" build profile.
  * Annotate test-related build dependencies with <!nocheck>.
  * Run the Salsa CI jobs.
  * Drop the PyPy package.
  * Drop the Python 2 package, too.  Closes: #936510
  * Point the Vcs-* headers to the Salsa mirror.

 -- Peter Pentchev <roam@debian.org>  Tue, 24 Sep 2019 11:32:16 +0300

feature-check (0.2.2-3) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Add a simple git-buildpackage config file.
  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Tue, 26 Feb 2019 17:08:55 +0200

feature-check (0.2.2-2) unstable; urgency=medium

  * Add a patch to not install the Python command-line executable
    even internally during the build.
  * Use the PYBUILD_* variables in the rules file.
  * Add a PyPy package.
  * Use a single tool for TAP testing the Python modules.
  * Check for "nocheck" in DEB_BUILD_OPTIONS before running any tests.

 -- Peter Pentchev <roam@debian.org>  Mon, 14 Jan 2019 17:43:43 +0200

feature-check (0.2.2-1) unstable; urgency=medium

  * New upstream release, update the upstream copyright years.
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Run the TAP tests with the Python 2 and Python 3 modules,
    not just the Perl command-line tool.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 09 Jan 2019 22:31:26 +0200

feature-check (0.2.1-1) unstable; urgency=medium

  * New upstream release: drop the dependency on python-typing.
  * Drop shlibs:Depends from all the binary packages: they are all either
    in Perl or in Python.
  * Make full use of the python:* and python3:* variables, even if
    some of them will not be defined for this package.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Nov 2018 11:23:49 +0200

feature-check (0.2.0-1) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    release notes (CHANGES.md) as NEWS and not changelog.
  * Use the B-D: debhelper-compat (= 11) mechanism.
  * Add a trivial autopkgtest running adequate on the installed package.
  * New upstream release:
    - build the Python libraries
    - add two autopkgtest cases for the Python libraries
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Fri, 23 Nov 2018 02:01:44 +0200
