=== debian/rules ===
#!/usr/bin/make -f

D=	${CURDIR}/debian
DTMP=	$D/tmp
PY=	${CURDIR}/python

export PYBUILD_NAME=		feature_check
export PYBUILD_DIR=		${PY}
export PYBUILD_TEST_PYTEST=	1
export PYTEST_ADDOPTS=		${PY}/unit_tests

%:
	dh "$@"

execute_after_dh_auto_build:
	dh_auto_build --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_SCRIPT='install -m 755' \
		INSTALL_DATA='install -m 644'
	dh_auto_install --buildsystem pybuild

execute_after_dh_auto_test:
	env PYTHONPATH='${PY}' debian/tests/tap-python.sh
	dh_auto_test --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGES.md
	install -m 644 -- CHANGES.md '$D/feature-check/usr/share/doc/feature-check/NEWS'

execute_after_dh_auto_clean:
	dh_auto_clean --buildsystem pybuild
