=== debian/tests/control ===
Tests: tap-python.sh
Depends: @, libtest-command-perl, perl

Test-Command: env TEST_PROG='/usr/bin/feature-check' prove t
Depends: @, libtest-command-perl, perl
Features: test-name=tap-perl

Test-Command: pytest-3 python/unit_tests
Depends: @, python3-ddt, python3-pytest
Features: test-name=upstream-pytest-python3
