## feature-check 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright (c) 2018  Peter Pentchev
+# Copyright (c) 2018, 2019, 2021  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -25,6 +25,9 @@
 # SUCH DAMAGE.
 
 PROG=		feature-check
+
+FCHKDATA_PROG?=	${CURDIR}/fcheck-testdata/target/release/fcheck-testdata
+FCHKDATA_DIR?=	${CURDIR}/fcheck-testdata/data
 
 MAN1=		feature-check.1
 MAN1GZ=		${MAN1}.gz
@@ -56,6 +59,8 @@
 INSTALL_SCRIPT?=	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
 INSTALL_DATA?=		${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
 
+REGEN_PYTHON?=	python3
+
 all:		${PROG} ${MAN1GZ}
 
 clean:
@@ -82,14 +87,24 @@
 test-all:
 		(set -e; for f in \
 			perl5/feature-check.pl \
-			python/2/feature-check.sh python/3/feature-check.sh \
+			python/3/feature-check.sh \
+			rust/target/debug/feature-check \
+			rust/target/release/feature-check \
 			; do \
-			if [ "$${f#python}" != "$$f" ]; then \
-				flake8 "$$(dirname "./$$f")/../feature_check"; \
+			if [ -f "$$f" ]; then \
+				${MAKE} test-single TEST_PROG="./$$f"; \
+			else \
+				echo "Skipping nonexistent $$f" 1>&2; \
 			fi; \
-			${MAKE} test-single TEST_PROG="./$$f"; \
 		done)
 		@echo 'Testing all the feature-check implementations complete'
+
+test-regen:
+		${FCHKDATA_PROG} -o python/unit_tests/data.py -f ${FCHKDATA_DIR}/simple.json -v python/unit_tests/data.py.hbs
+		(set -e; cd python; ${REGEN_PYTHON} -m tox -e black_reformat)
+		${FCHKDATA_PROG} -o t/04-simple.t -f ${FCHKDATA_DIR}/simple.json -v t/04-simple.t.hbs
+		${FCHKDATA_PROG} -o t/bin/fcheck -f ${FCHKDATA_DIR}/simple.json -v t/bin/fcheck.hbs
+		chmod 755 t/bin/fcheck
 
 ${PROG}:	perl5/feature-check.pl
 		${INSTALL} -m 755 perl5/feature-check.pl ${PROG}
