=== debian/changelog ===
feature-check (1.0.1-2) unstable; urgency=medium

  * Make the debian/clean file really clean up the Python egg-info
    directory after it was pushed down to python/src/ in confget-2.3.4.
    Closes: #1044232
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Override a Lintian check: tappy.py loops over Python versions.
  * Use the pyproject plugin for pybuild.
  * Minor fixes to the `tappy.py` autopkgtest tool:
    - reformat with 100 characters per line
    - run through Ruff's isort implementation
    - minor fixes suggested by Ruff
    - add some infrastructure for running Python checkers on tappy.py
    - drop a type: ignore annotation, not needed for recent versions of mypy
    - drop support for Python versions before 3.9

 -- Peter Pentchev <roam@debian.org>  Sun, 27 Aug 2023 02:47:43 +0300

feature-check (1.0.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * New upstream release:
    - refresh the python-no-executable patch

 -- Peter Pentchev <roam@debian.org>  Fri, 17 Dec 2021 15:45:56 +0200

feature-check (1.0.0-1) experimental; urgency=medium

  * Update the git-buildpackage config for the experimental branch.
  * Declare compliance with Policy 4.5.1 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * New upstream release:
    - update the upstream copyright years
    - adapt the python-no-executable patch (setup.py -> setup.cfg)
    - update the Python source directory in the rules test target
    - drop the cmp-num and cmp-rest patches, they were taken from upstream

 -- Peter Pentchev <roam@debian.org>  Sat, 26 Jun 2021 18:14:57 +0300

feature-check (0.2.2-7) unstable; urgency=medium

  * Add the cmp-num and cmp-rest upstream patches to fix some version
    string comparisons. Closes: #990276

 -- Peter Pentchev <roam@debian.org>  Thu, 24 Jun 2021 15:33:07 +0300

feature-check (0.2.2-6) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * debian/tests/control: have tap-python.sh depend on python3-all so all
    supported Python 3.x versions are actually installed. Closes: 972530

  [ Peter Pentchev ]
  * Drop dh-python, dh-sequence-python3 is enough.
  * Rewrite the tap-python test in Python as tappy.

 -- Peter Pentchev <roam@debian.org>  Mon, 26 Oct 2020 11:14:52 +0200
