=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-python3,
  libjson-xs-perl <!nocheck>,
  libtest-command-perl <!nocheck>,
  perl <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-ddt <!nocheck>,
  python3-pytest <!nocheck>,
  python3-six <!nocheck>,
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/roam/feature-check.git
 Vcs-Browser: https://salsa.debian.org/roam/feature-check/
 Homepage: https://devel.ringlet.net/misc/feature-check/
