=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_auto_install --buildsystem pybuild
 
 execute_after_dh_auto_test:
-	env PYTHONPATH='${PY}' debian/tests/tap-python.sh
+	env PYTHONPATH='${PY}/src' debian/tests/tappy.py
 	dh_auto_test --buildsystem pybuild
 
 override_dh_installchangelogs:
