=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
-Tests: tap-python.sh
-Depends: @, libtest-command-perl, perl
+Tests: tappy.py
+Depends: @, libtest-command-perl, perl, python3-all
 
 Test-Command: env TEST_PROG='/usr/bin/feature-check' prove t
 Depends: @, libtest-command-perl, perl
