## feature-check 2.1.0

=== debian/changelog ===
feature-check (2.1.0-2build1) oracular; urgency=medium

  * No-change rebuild for arch consistency

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 May 2024 20:39:07 +0000

feature-check (2.1.0-2) unstable; urgency=medium

  * Fix the no-arch-any FTBFS: split the rules file targets into
    -arch and -indep ones.

 -- Peter Pentchev <roam@debian.org>  Sun, 11 Feb 2024 12:45:56 +0200

feature-check (2.1.0-1) unstable; urgency=medium

  * Minor improvements to the internal Tox tests for the autopkgtest helper:
    - really skip manual tests in the second stage
    - improve the stages definition
    - use Ruff 0.2.1 in preview mode:
      - let it know about the format of our SPDX copyright notices
      - override another subprocess-related check
      - push some configuration settings into the ruff.lint.* tree
    - also let Ruff check and fix docstrings and trailing commas
    - use Ruff instead of Black for source code formatting
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root.
  * Bump the debhelper compat level to 14 with no changes.
  * Point the watch file to the new download page.
  * New upstream release:
    - update the Python-related dependencies and rules:
      - switch from setuptools to hatchling
      - add pyparsing as a runtime dependency
      - drop the use of ddt for the unit test suite
      - reflect upstream's unit tests move to python/tests/unit/
      - temporarily disable the pytest run during the build
    - reflect the upstream changelog move to docs/changes.md
    - follow the upstream switch to yearless copyright notices
  * Build and install the Rust implementation of feature-check
    instead of the Perl 5 one; add the test-invalid-options patch.
  * Align some variable assignments in the rules file.

 -- Peter Pentchev <roam@debian.org>  Sun, 11 Feb 2024 01:41:38 +0200
