=== debian/control ===
--- 
+++ 
@@ -1,32 +1,41 @@
 Source: feature-check
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>> 13.11.5~),
+ cargo,
  dh-sequence-python3,
+ dpkg-build-api (= 1),
  libjson-xs-perl <!nocheck>,
+ librust-anyhow-dev,
+ librust-clap-dev,
+ librust-clap-derive-dev,
+ librust-nom-dev,
+ librust-serde-dev,
+ librust-serde-derive-dev,
+ librust-serde-json-dev,
+ librust-thiserror-dev,
  libtest-command-perl <!nocheck>,
  perl <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-ddt <!nocheck>,
+ python3-hatchling,
+ python3-hatch-requirements-txt,
+ python3-pyparsing,
  python3-pytest <!nocheck>,
- python3-six <!nocheck>,
- python3-setuptools
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/roam/feature-check.git
 Vcs-Browser: https://salsa.debian.org/roam/feature-check/
 Homepage: https://devel.ringlet.net/misc/feature-check/
-Rules-Requires-Root: no
 
 Package: feature-check
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- ${perl:Depends},
- libjson-xs-perl
+ ${shlibs:Depends},
 Description: tool to query a program for supported features
  The feature-check tool obtains the list of supported features from
  a program via various methods (e.g. running it with the --features
@@ -41,7 +50,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
+ python3-pyparsing,
 Recommends:
  ${python3:Recommends}
 Suggests:
