=== debian/tests/control ===
Tests: tappy.py
Depends: @, libjson-xs-perl, libtest-command-perl, perl, python3-all

Test-Command: env TEST_PROG='/usr/bin/feature-check' prove t
Depends: @, libjson-xs-perl, libtest-command-perl, perl
Features: test-name=tap-installed

Test-Command: pytest-3 python/tests/unit
Depends: @, python3-pytest
Features: test-name=upstream-pytest-python3
