=== debian/changelog ===
feature-check (2.2.0-2) unstable; urgency=medium

  * Add the rust-thiserror-2 patch to fix FTBFS with librust-thiserror-dev 2.x.
    Closes: #1094063
  * Use debputy's X-Style: black.
  * Minor refactoring of the autopkgtest tool.

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Jan 2025 21:54:54 +0200

feature-check (2.2.0-1) unstable; urgency=medium

  * Switch to X-DH-Compat for the debhelper compat level.
  * Let debhelper take care of some default dependencies.
  * Declare compliance with Policy 4.7.0 with no changes.
  * New upstream release:
    - add python3-click as a test and runtime dependency; Closes: #1071683
    - add python3-hypothesis as a dependency for one of the autopkgtests
    - refresh the line numbers in the test-invalid-options patch

 -- Peter Pentchev <roam@debian.org>  Mon, 29 Jul 2024 22:59:24 +0300
