=== debian/control ===
Source: feature-check
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-sequence-python3,
 dpkg-build-api (= 1),
 cargo,
 libjson-xs-perl <!nocheck>,
 librust-anyhow-dev,
 librust-clap-derive-dev,
 librust-clap-dev,
 librust-nom-dev,
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-thiserror-dev,
 libtest-command-perl <!nocheck>,
 perl <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click <!nocheck>,
 python3-hatch-requirements-txt,
 python3-hatchling,
 python3-pyparsing,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.0
X-DH-Compat: 14
Vcs-Git: https://salsa.debian.org/roam/feature-check.git
Vcs-Browser: https://salsa.debian.org/roam/feature-check/
Homepage: https://devel.ringlet.net/misc/feature-check/
X-Style: black

Package: feature-check
Architecture: any
Multi-Arch: foreign
Description: tool to query a program for supported features
 The feature-check tool obtains the list of supported features from
 a program via various methods (e.g. running it with the --features
 command-line option) and allows other programs to check for
 the presence and, possibly, versions of specific features.
 .
 This package contains the command-line tool for use by any program.

Package: python3-feature-check
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-click,
 python3-pyparsing,
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Provides:
 ${python3:Provides},
Description: query a program for supported features - Python 3.x library
 The feature-check tool obtains the list of supported features from
 a program via various methods (e.g. running it with the --features
 command-line option) and allows other programs to check for
 the presence and, possibly, versions of specific features.
 .
 This package contains the Python 3.x library.
