=== debian/rules ===
#!/usr/bin/make -f

D=				${CURDIR}/debian
DTMP=				$D/tmp
PY=				${CURDIR}/python

RS=				${CURDIR}/rust
RS_TGT=				${RS}/target/release
RS_BIN=				${RS_TGT}/feature-check

export PYBUILD_NAME=		feature_check
export PYBUILD_DIR=		${PY}
export PYBUILD_TEST_PYTEST=	1
export PYTEST_ADDOPTS=		${PY}/tests/unit

%:
	dh "$@"

execute_after_dh_auto_build-arch:
	mkdir -p rust/.cargo
	install -m 644 -- '$D/cargo-config.toml' '${RS}/.cargo/config.toml'
	{ \
		set -e; \
		cd -- '${RS}'; \
		cargo build --release; \
	}

execute_after_dh_auto_build-indep:
	dh_auto_build --buildsystem pybuild

override_dh_auto_install-arch:
	dh_auto_install -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_SCRIPT='install -m 755' \
		INSTALL_DATA='install -m 644'

	install -m 755 -- '${RS_BIN}' '${DTMP}/usr/bin/feature-check'

override_dh_auto_install-indep:
	dh_auto_install --buildsystem pybuild

execute_after_dh_auto_test-arch:
	${MAKE} test-single TEST_PROG='${RS_BIN}'

execute_after_dh_auto_test-indep:
	env PYTHONPATH='${PY}/src' debian/tests/tappy.py
	# dh_auto_test --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -X changes.md

execute_after_dh_installchangelogs-arch:
	install -m 644 -- docs/changes.md '$D/feature-check/usr/share/doc/feature-check/NEWS'

execute_after_dh_auto_clean-indep:
	dh_auto_clean --buildsystem pybuild
