=== debian/watch ===
version = 4

opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/misc/feature-check/download/ https://devel.ringlet.net/files/misc/feature-check/feature-check-@ANY_VERSION@@ARCHIVE_EXT@
